Bulk delete submissions
curl --request DELETE \
--url https://api.formbnb.com/forms/{id}/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"submissionIds": [
"<string>"
]
}
'import requests
url = "https://api.formbnb.com/forms/{id}/submissions"
payload = { "submissionIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({submissionIds: ['<string>']})
};
fetch('https://api.formbnb.com/forms/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deleted": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Forms
Bulk Delete Submissions
Delete multiple submissions at once.
DELETE
/
forms
/
{id}
/
submissions
Bulk delete submissions
Authorizations
Authentication using either a FormBnB session JWT (issued by /auth) or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.
Path Parameters
Form ID
Body
application/json
Array of submission IDs to delete
Minimum array length:
1Was this page helpful?
⌘I